spe_context_base_priv Struct Reference

`#include <spebase.h>`

Collaboration diagram for spe_context_base_priv:

## Data Fields

pthread_mutex_t | fd_lock [NUM_MBOX_FDS]
int | fd_grp_dir
int | fd_spe_dir
unsigned int | flags
int | spe_fds_array [NUM_MBOX_FDS]
int | spe_fds_refcount [NUM_MBOX_FDS]
int | ev_pipe [2]
void * | psmap_mmap_base
void * | mem_mmap_base
void * | mfc_mmap_base
void * | mssync_mmap_base
void * | cntl_mmap_base
void * | signal1_mmap_base
void * | signal2_mmap_base
int | entry
spe_program_handle_t * | loaded_program
int | emulated_entry
int | active_tagmask

## Detailed Description

Definition at line 61 of file spebase.h.

## Field Documentation

int active_tagmask

Definition at line 108 of file spebase.h.

Referenced by _base_spe_mfcio_tag_status_read().

void* cntl_mmap_base

Definition at line 88 of file spebase.h.

Referenced by _base_spe_context_create(), _base_spe_in_mbox_status(), _base_spe_out_intr_mbox_status(), _base_spe_out_mbox_status(), and _base_spe_ps_area_get().

int emulated_entry

Definition at line 103 of file spebase.h.

Referenced by _base_spe_context_run(), and _base_spe_program_load().

int entry

Definition at line 93 of file spebase.h.

Referenced by _base_spe_context_run(), and _base_spe_program_load().

int ev_pipe[2]

Definition at line 81 of file spebase.h.

Referenced by __base_spe_stop_event_source_get(), and __base_spe_stop_event_target_get().

int fd_grp_dir

Definition at line 68 of file spebase.h.

pthread_mutex_t fd_lock[NUM_MBOX_FDS]

Definition at line 65 of file spebase.h.

Referenced by _base_spe_context_create(), _base_spe_context_lock(), and _base_spe_context_unlock().

int fd_spe_dir

Definition at line 71 of file spebase.h.

Referenced by __base_spe_spe_dir_get(), _base_spe_context_create(), _base_spe_context_run(), _base_spe_open_if_closed(), and _base_spe_program_load_complete().

unsigned int flags

Definition at line 74 of file spebase.h.

Referenced by _base_spe_context_create(), _base_spe_context_run(), _base_spe_handle_library_callback(), _base_spe_in_mbox_status(), _base_spe_in_mbox_write(), _base_spe_mfcio_tag_status_read(), _base_spe_mssync_start(), _base_spe_mssync_status(), _base_spe_out_intr_mbox_status(), _base_spe_out_mbox_read(), _base_spe_out_mbox_status(), _base_spe_program_load(), _base_spe_signal_write(), and _event_spe_event_handler_register().

spe_program_handle_t* loaded_program

Definition at line 99 of file spebase.h.

Referenced by _base_spe_context_create(), _base_spe_program_load(), and _base_spe_program_load_complete().

void* mem_mmap_base

Definition at line 85 of file spebase.h.

Referenced by _base_spe_context_create(), _base_spe_context_run(), _base_spe_handle_library_callback(), _base_spe_ls_area_get(), and _base_spe_program_load().

void* mfc_mmap_base

Definition at line 86 of file spebase.h.

Referenced by _base_spe_context_create(), and _base_spe_ps_area_get().

void* mssync_mmap_base

Definition at line 87 of file spebase.h.

Referenced by _base_spe_context_create(), _base_spe_mssync_start(), _base_spe_mssync_status(), and _base_spe_ps_area_get().

void* psmap_mmap_base

Definition at line 84 of file spebase.h.

Referenced by _base_spe_context_create().

void* signal1_mmap_base

Definition at line 89 of file spebase.h.

Referenced by _base_spe_context_create(), _base_spe_ps_area_get(), and _base_spe_signal_write().

void* signal2_mmap_base

Definition at line 90 of file spebase.h.

Referenced by _base_spe_context_create(), _base_spe_ps_area_get(), and _base_spe_signal_write().

int spe_fds_array[NUM_MBOX_FDS]

Definition at line 77 of file spebase.h.

Referenced by _base_spe_close_if_open(), _base_spe_context_create(), and _base_spe_open_if_closed().

int spe_fds_refcount[NUM_MBOX_FDS]

Definition at line 78 of file spebase.h.

Referenced by _base_spe_close_if_open(), and _base_spe_open_if_closed().

The documentation for this struct was generated from the following file:

- spebase.h